View Issue Details

IDProjectCategoryView StatusLast Update
0008928Talerwallet (iOS App)public2024-07-20 07:04
ReporterFlorian Dold Assigned ToMarcS  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.12Fixed in Version0.12 
Summary0008928: "send/receive money" screen should allow scanning QR code
DescriptionThis is what users expect based on "user studies" (i.e. GLS50) in the past.

We might want to check whether the type of QR code scanned is correct for the screen we invoked the scanner from. If it does not match (i.e. user scans "pay" QR code from "receive money" screen), we should warn.
TagsNo tags attached.

Activities

MarcS

2024-06-18 09:30

developer   ~0022660

I already moved the complete "Scan QR" logic from the balances view up to the (invisible) main view which is always in the background, so I can now show the QR button in every view. However, I still need to implement the "pay vs receive" logic.

MarcS

2024-07-20 07:04

developer   ~0022834

Warning if scanning outgoing from request view Commit: 6e6f680

Issue History

Date Modified Username Field Change
2024-06-12 16:08 Florian Dold New Issue
2024-06-12 16:08 Florian Dold Status new => assigned
2024-06-12 16:08 Florian Dold Assigned To => MarcS
2024-06-12 16:08 Florian Dold Issue cloned: 0008929
2024-06-18 09:30 MarcS Note Added: 0022660
2024-07-20 07:04 MarcS Status assigned => resolved
2024-07-20 07:04 MarcS Resolution open => fixed
2024-07-20 07:04 MarcS Fixed in Version => 0.12
2024-07-20 07:04 MarcS Note Added: 0022834